using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SanShared;

namespace TempCAN
{
    public enum TemperaturSchnittstellen
    {
        TINKERFORGE
    }
    public static  class TemperaturBuilder
    {
        public static ITemperature Temperatur(TemperaturSchnittstellen temperaturSchnittstellen)
        {
            switch(temperaturSchnittstellen)
            {
                case TemperaturSchnittstellen.TINKERFORGE:
                    return new TinkerForgeTemperatur();
                    

                default:
                    throw new Exception();
            }
        }
    }
}
